#### D.15.2.27 milnorNNB

Procedure from library `arnold.lib` (see arnold_lib).

Usage:
  milnorNNB(f,w); f poly or Poly or NormalForm

Return:
  the Milnor number of f (or f.value or f.phi.sourcegerm.value), if f (or f.value or f.phi.sourcegerm.value) is equivalent to a germ with a nondegenerate Newton boundary,
  or an ERROR message otherwise

Example:

    LIB "arnold.lib";
    ring R=0,(x,y),ds;
    poly f = x^9+x^2*y^4+y^2*x^4+y^8+x^3*y^5+y^2*x^5;
    poly phix = x+y^2+x^2+x*y+x^2*y+x*y^3;
    poly phiy = y+y^2+2*x^2+x*y+y*x^2+y^2*x+x*y^4;
    map phi = R,phix,phiy;
    f = phi(f);                        // f is equivalent to a germ with a nondegenerate Newton boundary
    Poly F = makePoly(f);
    NormalForm N = determineNormalForm(F);
    milnorNNB(f);
    ==> 30
    milnorNNB(F);
    ==> 30
    milnorNNB(N);
    ==> 30

User manual for Singular version 4.4.1, 2025, generated by texi2html.